[arch-commits] Commit in bash/trunk (PKGBUILD)

Aaron Griffin aaron at archlinux.org
Thu Jun 18 11:40:14 EDT 2009


    Date: Thursday, June 18, 2009 @ 11:40:13
  Author: aaron
Revision: 42659

upgpkg: bash 4.0.024-1

Modified:
  bash/trunk/PKGBUILD

----------+
 PKGBUILD |   98 +++++++++++++++++++++++--------------------------------------
 1 file changed, 38 insertions(+), 60 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 06:25:53 UTC (rev 42658)
+++ PKGBUILD	2009-06-18 15:40:13 UTC (rev 42659)
@@ -2,29 +2,31 @@
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=bash
-_patchlevel=048
-pkgver=3.2.$_patchlevel
-pkgrel=3
+_patchlevel=024 #prepare for some patches
+pkgver=4.0.$_patchlevel
+pkgrel=1
 pkgdesc="The GNU Bourne Again shell"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnu.org/software/bash/bash.html"
 groups=('base')
 backup=(etc/profile.bash etc/skel/.bashrc etc/skel/.bash_profile)
-depends=('readline>=5.2' 'glibc')
+depends=('readline>=6.0' 'glibc')
 makedepends=(gzip)
-optdepends=('bash-completion: For more advanced completion')
 provides=('sh')
 install=bash.install
-source=(http://ftp.gnu.org/gnu/bash/bash-3.2.tar.gz
+source=(http://ftp.gnu.org/gnu/bash/bash-4.0.tar.gz
         profile.bash bashrc)
-for p in $(seq -w 001 $_patchlevel); do
-    source=(${source[@]} http://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-$p)
-done
+if [ $_patchlevel -gt 000 ]; then
+    for p in $(seq -w 001 $_patchlevel); do
+        source=(${source[@]} http://ftp.gnu.org/gnu/bash/bash-4.0-patches/bash40-$p)
+    done
+fi
 
 build() {
-  cd ${startdir}/src/${pkgname}-3.2
-  for p in ../bash32-*; do
+  cd ${startdir}/src/${pkgname}-4.0
+  for p in ../bash40-*; do
+    [ -e "$p" ] || continue
     msg "applying patch ${p}"
     patch -Np0 -i ${p} || return 1
   done
@@ -49,54 +51,30 @@
   gzip -9 ${pkgdir}/usr/share/info/bash.info
 }
 # wow, that's a lot of md5sums!
-md5sums=('00bfa16d58e034e3c2aa27f390390d30'
+md5sums=('a90a1b5a6db4838483f05438e05e8eb9'
          'c2fae355facefcac8a732cce877da194'
          '3d2837e84645eac9bde399b58014bafa'
-         'd8e10c754f477e3f3a581af566b89301'
-         'd38a5288b2f0ea6c9ac76b66cc74ef7d'
-         '0b90d37911827d8cb95f3b4353cc225e'
-         '8062f3a59631f58d78b180d83759b68a'
-         '585b5943fadf0875ced243b245adde58'
-         '1d5732e01ea938aeed42f3def131fa4d'
-         'dcd0cc5d801607827f7c851e72b0eabc'
-         'bb3c7dd11198c0ab93d0e960bebf6256'
-         '434a6f29b0ca5f1ab784b2437ae8eaed'
-         '2efff04dd246fcf63bd4b99f77c9a081'
-         '1dd104342f6920dfaf5efb3131e922e0'
-         '4f24b696ab78bdfae4f9cb7eb59b835d'
-         '7c40addbf1187a26ae1c8373ed383442'
-         '28e88c9f8679e99ac590d4a4a8227c56'
-         '7c17d29675bd0d49470f162774385f80'
-         'a1edaa98b4449fe2205fa75448b7b105'
-         '889ed119bbf9d363660b9a0127f35efa'
-         'a7d3f85fa687d2c1b5a134839f6d395d'
-         'f0399da4007e46fc5820ce25d07425b9'
-         'b76602281c3104d904fd064510fe0c21'
-         '923374ae4403c92820f711e62e1d01a5'
-         'c82d3bd14e373878b2a680dce18d1596'
-         '987c949a77b4b0ffe4a2597141e77635'
-         '5a2b976e761ab83f0fc7daae11451b86'
-         '08668dc2825f65eced9cac6b09ce1b45'
-         'f35b2b217f088ff009f956894550d41d'
-         'b5ff2b9610c61290f773c4b02cc1a37d'
-         '016f5b56c93404d32aea09385f0fc13e'
-         'a81420626d4d88d0dce2ffac0ac56341'
-         '11f91baf970c132949f9072ee93f2ea6'
-         'f6bbc1e8ec0246740731c728ef476191'
-         '8180ec936770579bce69f0816c2dd878'
-         '3cec33c3711860c4c6b7614afeec7870'
-         '7bc6c5b5f38b7027152f8db0458a2e14'
-         'a2db61fe90e39371d0e6cd2285ec9208'
-         '95c70c7ae9de5bd3659c86284be7fb76'
-         '62b876a3d7cd192cc8db2476fbb6b7b9'
-         'aca3afc341bd3e5a0d8a3b4ca40dbb3f'
-         'e240c34f979b64bcb83c5f6567110bb1'
-         '06e6df263398807fa032707fb7b77b5f'
-         '373ae081d658dc85bc1058c4759d6669'
-         '9c9ebc6bfc33a0215277ee17a276eb5a'
-         'b87fb9ea16a64ca41b6676e9a7eb7a33'
-         '07e0229ce5879bfbd26a8146070fd366'
-         '1ad07965a8a93f3556ee1ab18b97cde2'
-         'f7b1e19fcad54c2286bc0ed614aad9bf'
-         '550690766de770116c34dbdf74e59184'
-         '4cc593e7b789b23b37a5397e092d3954')
+         'bc7f4762443939bd7dccb42370f0d932'
+         'c2a4a4786a83ed4ec366c6a8924369a2'
+         '22e8a824eddba21a8fce10d7984c2aba'
+         'ed7cbced8c7c964323265522369a37a2'
+         '8ed86b7d31423d71ecf3148251d63512'
+         '5f447338cb98ff156cabf1fd9879d5f3'
+         '96e946cb66a4ca186cba1da44f1ee163'
+         'd3eb7b6f00d525e032478c33f51d46a8'
+         '340601c997ce569532417a7ae92248b8'
+         '0bd5ab96d514ffb1afbb8c7984b15146'
+         '32cb20f339a20e1e9fb37a5d18f18fca'
+         '33fd9e93d30a17988c19554ef26d56e0'
+         'a266b42df5e9ed7e8818a8b00d50e00b'
+         '86cac78f191a32cd1404f11264eb9b2a'
+         'bb41963d030bc61a20e8185367b337c5'
+         'f75455048a086528971252fd979b8755'
+         '34b2cd57271a452f4a26b39d77ff908f'
+         '99318eed8dcc05e10a14ae27043f175d'
+         'af3b9aaeadc71a5007bec2b98c751cde'
+         'eb7c7ddeb7e8451eb59228dca3329696'
+         '585d701b978ceb63967dc020db3a2234'
+         '7a70f2608f90f6ac0c2051e5f1c6c414'
+         '7a23aa41630dd4fe8d30108a200e2d96'
+         '82ba5fc9eb780eb57d8b7628a17b7d74')



More information about the arch-commits mailing list